Bug 1509266

Summary: 3.0: Compression ratio is not as effective as source site at destination site
Product: Red Hat Ceph Storage Reporter: Harish NV Rao <hnallurv>
Component: RGWAssignee: Casey Bodley <cbodley>
Status: CLOSED CURRENTRELEASE QA Contact: Tejas <tchandra>
Severity: medium Docs Contact: Bara Ancincova <bancinco>
Priority: unspecified    
Version: 3.0CC: cbodley, ceph-eng-bugs, kbader, mbenjamin, sweil
Target Milestone: z2   
Target Release: 3.3   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
.Compression ratio might not be the same on the destination site as on the source site When data synced from the source to destination site is compressed, the compression ratio on the destination site might not be the same as on the source site.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-22 14:36:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1494421    

Description Harish NV Rao 2017-11-03 12:42:31 UTC
Description of problem:

Data synced from source to destination is compressed but compression ratio is not as effective as source site.

Build : ceph version 12.2.1-37.el7cp (c16105a12f94b5e65d175d620d8d548055c8d490) luminous (stable)

Steps followed:
*Enabled "zlib" compression on both sites.
*Written 1 bucket with 1 object in source site.Data is compressed.
*Checked the data in destination site. Data is synced and compressed but it was not effective as source site.

Summary:
Primary to Secondary -> original size in Kb :58924
                        Compressed size in local in Kb : 2684,
                        Synced n compressed size in remote in Kb :3802,

Secondary to Primary -> original size in Kb :58924
                        Compressed size in local in Kb : 2684,
                        Synced n compressed size in remote in Kb :3802,


Primary to secondary

Primary site - Written

[root@aircobra ~]# radosgw-admin bucket stats --bucket test1_0 --cluster primary
{
    "bucket": "test1_0",
    "zonegroup": "aa2114c4-e96f-48b0-a023-825239368582",
    "placement_rule": "default-placement",
    "explicit_placement": {
        "data_pool": "",
        "data_extra_pool": "",
        "index_pool": ""
    },
    "id": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.116",
    "marker": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.116",
    "index_type": "Normal",
    "owner": "synchronization-user",
    "ver": "0#3",
    "master_ver": "0#0",
    "mtime": "2017-11-03 16:22:40.836903",
    "max_marker": "0#00000000002.2343.5",
    "usage": {
        "rgw.main": {
            "size": 60335136,
            "size_actual": 60338176,
            "size_utilized": 2747804,
            "size_kb": 58922,
            "size_kb_actual": 58924,
            "size_kb_utilized": 2684,
            "num_objects": 1
        }
    },
    "bucket_quota": {
        "enabled": false,
        "check_on_raw": false,
        "max_size": -1,
        "max_size_kb": 0,
        "max_objects": -1
    }
}
[root@aircobra ~]# 


Secondary site synced

[root@fortress ~]# radosgw-admin bucket stats --bucket test1_0 --cluster secondary
{
   {
    "bucket": "test1_0",
    "zonegroup": "aa2114c4-e96f-48b0-a023-825239368582",
    "placement_rule": "default-placement",
    "explicit_placement": {
        "data_pool": "",
        "data_extra_pool": "",
        "index_pool": ""
    },
    "id": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.116",
    "marker": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.116",
    "index_type": "Normal",
    "owner": "synchronization-user",
    "ver": "0#3",
    "master_ver": "0#0",
    "mtime": "2017-11-03 16:22:40.836903",
    "max_marker": "0#00000000002.2431.1",
    "usage": {
        "rgw.main": {
            "size": 60335136,
            "size_actual": 60338176,
            "size_utilized": 3893016,
            "size_kb": 58922,
            "size_kb_actual": 58924,
            "size_kb_utilized": 3802,
            "num_objects": 1
        }
    },
    "bucket_quota": {
        "enabled": false,
        "check_on_raw": false,
        "max_size": -1,
        "max_size_kb": 0,
        "max_objects": -1
    }
}

Secondary to primary
Secondary site - written
[root@fortress ~]# radosgw-admin bucket stats --bucket test2_0 --cluster secondary
{
    "bucket": "test2_0",
    "zonegroup": "aa2114c4-e96f-48b0-a023-825239368582",
    "placement_rule": "default-placement",
    "explicit_placement": {
        "data_pool": "",
        "data_extra_pool": "",
        "index_pool": ""
    },
    "id": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.117",
    "marker": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.117",
    "index_type": "Normal",
    "owner": "synchronization-user",
    "ver": "0#3",
    "master_ver": "0#0",
    "mtime": "2017-11-03 16:35:37.268944",
    "max_marker": "0#00000000002.2277.1",
    "usage": {
        "rgw.main": {
            "size": 60335136,
            "size_actual": 60338176,
            "size_utilized": 2747804,
            "size_kb": 58922,
            "size_kb_actual": 58924,
            "size_kb_utilized": 2684,
            "num_objects": 1
        }
    },
    "bucket_quota": {
        "enabled": false,
        "check_on_raw": false,
        "max_size": -1,
        "max_size_kb": 0,
        "max_objects": -1
    }
}

Primary site synced
[root@aircobra ~]# radosgw-admin bucket stats --bucket test2_0 --cluster primary
{
    "bucket": "test2_0",
    "zonegroup": "aa2114c4-e96f-48b0-a023-825239368582",
    "placement_rule": "default-placement",
    "explicit_placement": {
        "data_pool": "",
        "data_extra_pool": "",
        "index_pool": ""
    },
    "id": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.117",
    "marker": "bf0750fa-3531-4110-a224-2df15c2c445f.204098.117",
    "index_type": "Normal",
    "owner": "synchronization-user",
    "ver": "0#3",
    "master_ver": "0#0",
    "mtime": "2017-11-03 16:35:37.268944",
    "max_marker": "0#00000000002.2203.5",
    "usage": {
        "rgw.main": {
            "size": 60335136,
            "size_actual": 60338176,
            "size_utilized": 3893016,
            "size_kb": 58922,
            "size_kb_actual": 58924,
            "size_kb_utilized": 3802,
            "num_objects": 1
        }
    },
    "bucket_quota": {
        "enabled": false,
        "check_on_raw": false,
        "max_size": -1,
        "max_size_kb": 0,
        "max_objects": -1
    }
}
[root@aircobra ~]#

Comment 9 Giridhar Ramaraju 2019-08-05 13:08:38 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 10 Giridhar Ramaraju 2019-08-05 13:10:04 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri